/// [DEFAULT_MIN_WIDTH] is the default minimum width used within a
/// srcset width-range. Widths can be below this value; this
/// is just the default value used internally in the TargetWidths
/// function.
const DEFAULT_MIN_WIDTH = 100;

/// [DEFAULT_MAX_WIDTH] is the default maximum width used within a
/// sercset width-range. While width values can be above
/// this value, they are typically less than or equal to
/// this value. This is only a default value used internally in
/// the TargetWidths function.
const DEFAULT_MAX_WIDTH = 8192;

/// [SRCSET_DEFAULT_TOLERANCE] is the default width tolerance (percentage).
const SRCSET_DEFAULT_TOLERANCE = 0.08;

/// [DEFAULT_WIDTHS] is an array of image widths generated by
/// calling TargetWidths(100, 8192, 0.08). These defaults are quite
/// good, cover a wide range of widths, and are easy to start with.
const DEFAULT_WIDTHS = {
  100,
  116,
  135,
  156,
  181,
  210,
  244,
  283,
  328,
  380,
  441,
  512,
  594,
  689,
  799,
  927,
  1075,
  1247,
  1446,
  1678,
  1946,
  2257,
  2619,
  3038,
  3524,
  4087,
  4741,
  5500,
  6380,
  7401,
  8192
};

const DPR_QUALITIES = <int, int>{1: 75, 2: 50, 3: 35, 4: 23, 5: 20};

const DOMAIN_REGEX =
    r'^(?:[a-z\d\-_]{1,62}\.){0,125}(?:[a-z\d](?:\-(?=\-*[a-z\d])|[a-z]|\d){0,62}\.)[a-z\d]{1,63}$';

const IMGIX_LIB_VERSION = '0.0.0';

const metaParams = <String, String>{'ixlib': 'dart-$IMGIX_LIB_VERSION'};
